/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../core/base/base-adapter';
import { IAppBarComponent } from './app-bar';
export interface IAppBarAdapter extends IBaseAdapter {
    setTitleText(value: string): void;
    setDense(value: boolean): void;
    setRaised(value: boolean): void;
    setFixed(value: boolean): void;
    addBottomClass(name: string): void;
    removeBottomClass(name: string): void;
    addBottomSlotListener(listener: (evt: Event) => void): void;
    addCenterSlotListener(listener: (evt: Event) => void): void;
    setCenterSlotVisibility(): void;
}
/**
 * Provides facilities for interacting with the internal DOM of `AppBarComponent`.
 */
export declare class AppBarAdapter extends BaseAdapter<IAppBarComponent> implements IAppBarAdapter {
    private _rootElement;
    private _titleElement;
    private _bottomElement;
    private _bottomSlotElement;
    private _centerSlotElement;
    private _centerSectionElement;
    constructor(component: IAppBarComponent);
    /**
     * Sets the title text value.
     * @param {string} value The title text.
     */
    setTitleText(value: string): void;
    setDense(value: boolean): void;
    setRaised(value: boolean): void;
    setFixed(value: boolean): void;
    addBottomClass(name: string): void;
    removeBottomClass(name: string): void;
    addBottomSlotListener(listener: (evt: Event) => void): void;
    addCenterSlotListener(listener: (evt: Event) => void): void;
    setCenterSlotVisibility(): void;
}
